PHP Manual
Prev |  | Next

# mysqli_debug

(PHP 5)

mysqli_debug -- Performs debugging operations

## Description

bool mysqli_debug ( string debug )

The mysqli_debug() function is used to perform debugging operations using the Fred Fish debugging library. The debug parameter is a string representing the debugging operation to perform.

> Note: To use the mysqli_debug() function you must complile the MySQL client library to support debugging.

## Return Values

mysqli_debug() doesn't return any value.

## See Also

mysqli_dump_debug_info() and mysqli_report().

## Examples

Example 1. Generating a Trace File
`<?php /* Create a trace file in '/tmp/client.trace' on the local (client) machine: */ mysqli_debug("d:t:0,/tmp/client.trace"); ?>`

Prev | Home | Next
mysqli_data_seek | Up | mysqli_disable_reads_from_master